JSON2PAS-3.2.2(1)

NAME
json2pas-3.2.2 - JSON to Pascal to translator for Free Pascal Compiler (FPC)

SYNOPSIS
json2pas-3.2.2 [options]

DESCRIPTION
Where options is one or more of: -h --help Show this help -i --input=file Use file as JSON input. The file must contain a valid JSON object. -i --json=json Use json as JSON input. The value must contain a valid JSON object. -u --unit=name Use name as the name of the unit.

    If no output file is specified, this sets the name

-o --output=file Set the output filename. Sets the unit name if none is given -d --generate-delphi Use Delphi 10 JSON routines -l --generate-load Create LoadFromJSON routine -s --generate-save Create SaveToJSON routine -c --load-ignores-case The LoadFromJSON routine will ignore case -e --use-setter Property setters use a routine instead of writing to field -n --classname=name Set the name of the top-level class (default: TMyObject) -r --load-with-error Load will raise an exception if an unknown property is met

SEE ALSO
The full documentation for json2pas-3.2.2 is maintained as a Texinfo manual. If the info and json2pas-3.2.2 programs are properly installed at your site, the command

    info json2pas-3.2.2

should give you access to the complete manual.